# =============================================================================
# -----------------------------------------------------------------------------
class Character:
    """Infos needed about an SSBU character"""
    def __init__(
            self,
            name,
            codename,
            smashggid = None,
            res_urls = {},
            ):
        self.res_urls = res_urls
        self.smashggid = smashggid
        self.name = name
        self.codename = codename

# -----------------------------------------------------------------------------
class Game:
    def __init__(
            self,
            name,
            fullname,
            aliases,
            smashggid = None,
            ):

        self.name = name
        self.fullname = fullname
        self.aliases = aliases
        self.smashggid = smashggid

    def list_names(self):
        return [self.name] + [self.fullname] + self.aliases
        
